package cpcns.ldanganzhengli.lwenjian.controller;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.base.common.User;
import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.base.configuration.AppConfiguration;
import cpcns.common.controller.commonController;
import cpcns.ldanganzhengli.lanjuan.service.ILAnJuanService;
import cpcns.ldanganzhengli.ldanganhe.model.LDangAnHe;
import cpcns.ldanganzhengli.ldanganhe.service.ILDangAnHeService;
import cpcns.ldanganzhengli.lwenjian.model.LWenJian;
import cpcns.ldanganzhengli.lwenjian.service.ILWenJianService;
import cpcns.utils.CommStatic;
import cpcns.utils.Json;
import cpcns.utils.PagerVO;
import java.io.IOException;
import java.text.ParseException;
import java.util.ArrayList;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import net.sf.json.JSONObject;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/LWenJian"})
public class LWenJianController extends commonController {
  @Autowired
  private ILWenJianService LWenJianService;
  
  @Autowired
  private ILAnJuanService LAnJuanService;
  
  @Autowired
  private ILDangAnHeService LDangAnHeService;
  
  @RequestMapping({"/query.do"})
  public String execute(HttpServletRequest request) throws Exception {
    String menLei = getRequest().getParameter("menLei");
    String yiJiaoPiCi = getRequest().getParameter("piCiHao");
    String JianBiaoShis = getRequest().getParameter("JianBiaoShis");
    String OAtype = getRequest().getParameter("OAtype");
    getRequest().setAttribute("menLei", menLei);
    getRequest().setAttribute("OAtype", OAtype);
    getRequest().setAttribute("JianBiaoShis", JianBiaoShis);
    getRequest().setAttribute("yiJiaoPiCi", yiJiaoPiCi);
    return "ldanganzhengli/lwenjian/L_WenJian_list";
  }
  
  @RequestMapping({"/open.do"})
  public String open(HttpServletRequest request, HttpServletResponse response, Model model) throws ParseException {
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    if (hangBiaoShi != null && !hangBiaoShi.equals("")) {
      LWenJian cla = (LWenJian)this.LWenJianService.getById(Integer.valueOf(Integer.parseInt(hangBiaoShi)));
      model.addAttribute("DWenJian", cla);
      model.addAttribute("OFDType", AppConfiguration.getConfigValue("OFDType"));
      int gdlx = cla.getGuiDangLeiXing().intValue();
      int glbs = cla.getGuanLianBiaoShi().intValue();
      if (glbs != 0)
        if (gdlx == 2) {
          LDangAnHe dah = (LDangAnHe)this.LDangAnHeService.getById(Integer.valueOf(glbs));
          model.addAttribute("rongQiDangHao", dah.getDangHao());
        } else {
          String ajdh = cla.getDangHao();
          String temp = "";
          if (StringUtils.isNoneBlank(new CharSequence[] { ajdh }) && ajdh.contains("-"))
            temp = ajdh.substring(0, ajdh.lastIndexOf("-")); 
          model.addAttribute("rongQiDangHao", temp);
        }  
    } 
    return "ldanganzhengli/lwenjian/L_WenJian_edit";
  }
  
  @RequestMapping({"/getAll.do"})
  public String getAll(HttpServletRequest request, HttpServletResponse response, Model model) throws IOException {
    try {
      Enumeration<?> rnames = getRequest().getParameterNames();
      JSONObject jsonObject = new JSONObject();
      for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
        String thisName = er.nextElement().toString();
        String thisValue = getRequest().getParameter(thisName);
        jsonObject.put(thisName, thisValue);
      } 
      User user = getCurrentUser();
      StringBuffer sqlWhere = new StringBuffer();
      Iterator<String> iterator = jsonObject.keys();
      StringBuffer sqlSearch = new StringBuffer();
      sqlSearch.append("  1=1 ");
      String JianBiaoShis = request.getParameter("JianBiaoShis");
      String yiJiaoPiCi = request.getParameter("yiJiaoPiCi");
      while (iterator.hasNext()) {
        String key = iterator.next();
        String value = jsonObject.getString(key);
        if (value != null && !value.trim().equals("") && !key.equals("page") && !key.equals("rows")) {
          if (key.contains("begin")) {
            key = key.substring(0, key.indexOf("begin"));
            sqlWhere.append(" and ").append(
                String.valueOf(key) + " >= " + "to_date('" + value + "','yyyy-mm-dd')");
            continue;
          } 
          if (key.contains("end")) {
            key = key.substring(0, key.indexOf("end"));
            sqlWhere.append(" and ").append(
                String.valueOf(key) + " <= " + "to_date('" + value + "','yyyy-mm-dd')");
            continue;
          } 
          if (!"server".equals(key) && !"table".equals(key) && !"orderBy".equals(key) && !"order".equals(key) && !"sort".equals(key) && !"type".equals(key) && !"qwjs".equals(key) && !"JianBiaoShis".equals(key) && !"yiJiaoPiCi".equals(key)) {
            if (!key.contains("like")) {
              sqlWhere.append(" and ").append(key).append(" = '").append(value).append("'");
              continue;
            } 
            key = key.substring(0, key.indexOf("like"));
            if ("biaoTi".equals(key)) {
              if (!"true".equals(getRequest().getParameter("qwjs")))
                sqlWhere.append(" and ").append(String.valueOf(key) + " like " + "'%" + value + "%'"); 
              continue;
            } 
            sqlWhere.append(" and ").append(String.valueOf(key) + " like " + "'%" + value + "%'");
          } 
        } 
      } 
      sqlWhere.append(" and baoGuanQiXian !='D10'");
      if (StringUtils.isNoneBlank(new CharSequence[] { JianBiaoShis }))
        sqlWhere.append(" and hangBiaoShi in(" + JianBiaoShis + ")"); 
      if (StringUtils.isNoneBlank(new CharSequence[] { yiJiaoPiCi }))
        sqlWhere.append(" and daoRuPiCi in('" + yiJiaoPiCi + "')"); 
      if (sqlWhere.length() > 0)
        sqlSearch.append(sqlWhere.toString()); 
      String page = request.getParameter("page");
      String rows = request.getParameter("rows");
      model.addAttribute("page", page);
      model.addAttribute("rows", rows);
      int intPage = Integer.parseInt((page == null || page == "0") ? "0" : page);
      int number = Integer.parseInt((rows == null || rows == "0") ? "0" : rows);
      int start = (intPage - 1) * number;
      StringBuffer sql = new StringBuffer("select hangBiaoShi,xuHao,guanLianBiaoShi,yeShu,fenShu,biaoTi,dangHao,wenHao,miJi,chengWenRiQi,liJuanDanWeiMingCheng,liJuanDanWeiBiaoShi,guiDangBuMenMingCheng,guiDangBuMenBiaoShi,baoGuanQiXian,guiDangNianDu,guiDangLeiXing,youYuanWen,wenZhong,fenLeiMingCheng,zhuangTai,daoRuPiCi from L_WenJian where ");
      PagerVO pagevo = this.LWenJianService.getAll(start, number, sql.toString(), sqlSearch.toString(), CommStatic.getOrderBy(request, "hangBiaoShi"), "L_WenJian");
      String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo);
      jsonString = jsonString.replaceAll("HANGBIAOSHI", "hangBiaoShi").replaceAll("XUHAO", "xuHao")
        .replaceAll("GUANLIANBIAOSHI", "guanLianBiaoShi").replaceAll("YESHU", "yeShu")
        .replaceAll("BIAOTI", "biaoTi").replaceAll("DANGHAO", "dangHao").replaceAll("WENHAO", "wenHao")
        .replaceAll("MIJI", "miJi").replaceAll("CHENGWENRIQI", "chengWenRiQi").replaceAll("LIYUANDANWEIMINGCHENG", "liJuanDanWeiMingCheng")
        .replaceAll("LIJUANDANWEIBIAOSHI", "liJuanDanWeiBiaoShi").replaceAll("GUIDANGBUMENMINGCHENG", "guiDangBuMenMingCheng")
        .replaceAll("GUIDANGBUMENBIAOSHI", "guiDangBuMenBiaoShi").replaceAll("BAOGUANQIXIAN", "baoGuanQiXian").replaceAll("FENSHU", "fenShu")
        .replaceAll("GUIDANGNIANDU", "guiDangNianDu").replaceAll("GUIDANGLEIXING", "guiDangLeiXing").replaceAll("YOUYUANWEN", "youYuanWen")
        .replaceAll("WENZHONG", "wenZhong").replaceAll("FENLEIMINGCHENG", "fenLeiMingCheng").replaceAll("ZHUANGTAI", "zhuangTai").replaceAll("DAORUPICI", "daoRuPiCi");
      write(response, jsonString);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return null;
  }
  
  @RequestMapping({"/openDat.do"})
  @ResponseBody
  public String returnJos(HttpServletRequest request, HttpServletResponse response, Model model) {
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    Map<String, Object> resultMap = new HashMap<>();
    String type = request.getParameter("type");
    String tablePrefix = request.getParameter("tablePrefix");
    resultMap.put("filePath", "");
    String jsonString = "";
    if (StringUtils.isNotBlank(hangBiaoShi)) {
      String tb = CommStatic.getMenLeiToBiaoMing(type).replaceAll("D_", "L_");
      LWenJian cla = this.LWenJianService.getTableByDate(tb, hangBiaoShi);
      resultMap.put("filePath", cla);
    } 
    jsonString = Json.Map2Json(resultMap);
    return jsonString;
  }
  
  @RequestMapping({"/getAllWenJianByGuanLianBiaoShi.do"})
  public String getAllWenJianFuJianByHeHangBiaoShi(HttpServletRequest request, HttpServletResponse response, Model model) throws IOException {
    Map<String, Object> map = new HashMap<>();
    try {
      List<Map<String, Object>> reslutList = new ArrayList<>();
      String guanLianBiaoShi = request.getParameter("guanLianBiaoShi");
      String menLei = request.getParameter("menLei");
      if (guanLianBiaoShi != null) {
        String bm = CommStatic.getMenLeiToBiaoMing(menLei).replaceAll("D_", "L_");
        String sql = "select wj.hangBiaoShi,wj.biaoTi,wj.dangHao,wj.youYuanWen,(select count(fj.hangbiaoshi) from " + bm + "fujian fj where fj.guanlianbiaoshi= wj.hangbiaoshi ) as fujiangeshu from " + bm + " wj where guanLianBiaoShi=" + guanLianBiaoShi + " order by danghao asc";
        reslutList = this.LWenJianService.getListSQL(sql);
        map.put("success", Integer.valueOf(1));
        map.put("info", "操作成功");
        map.put("result", reslutList);
        String result = Json.Map2Json(map);
        result = result.replaceAll("HANGBIAOSHI", "hangBiaoShi")
          .replaceAll("BIAOTI", "biaoTi").replaceAll("DANGHAO", "dangHao").replaceAll("YOUYUANWEN", "youYuanWen")
          .replaceAll("FUJIANGESHU", "fuJianGeShu");
        write(response, result);
      } else {
        map.put("success", Integer.valueOf(0));
        map.put("info", "参数有误，请联系管理员");
        map.put("result", "");
      } 
    } catch (Exception e) {
      e.printStackTrace();
      map.put("success", Integer.valueOf(0));
      map.put("info", "操作失败");
      map.put("result", "");
    } 
    return null;
  }
}
